Bug 231843 - devel/kyua: Portlint compliance
Summary: devel/kyua: Portlint compliance
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-01 08:46 UTC by takefu
Modified: 2021-02-27 07:05 UTC (History)
0 users

See Also:
tobik: maintainer-feedback-


Attachments
kyua-0.13_4,3.patch (3.79 KB, patch)
2018-10-01 08:46 UTC, takefu
no flags Details | Diff
kyua-0.13_4,3.patch (3.05 KB, patch)
2018-11-27 10:58 UTC, takefu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2018-10-01 08:46:12 UTC
Created attachment 197661 [details]
kyua-0.13_4,3.patch
Comment 1 Tobias Kortkamp freebsd_committer 2018-11-08 15:15:11 UTC
Comment on attachment 197661 [details]
kyua-0.13_4,3.patch

This appears to be an untested change which no longer installs any of the docs
and examples...

-LIB_DEPENDS+=	libsqlite3.so:databases/sqlite3
+LIB_DEPENDS=	liblutok.so:devel/lutok libsqlite3.so:databases/sqlite3

This should be changed to USES=sqlite if anything.

+DOCS_VARS=		MAKE_FLAGS+=doc_DATA=
+EXAMPLES_VARS=		MAKE_FLAGS+=dist_examples_DATA=

This is *not* the same as 

-.if ! ${PORT_OPTIONS:MDOCS}
-MAKE_FLAGS+=	doc_DATA=
-.endif
-.if ! ${PORT_OPTIONS:MEXAMPLES}
-MAKE_FLAGS+=	dist_examples_DATA=
-.endif
Comment 2 takefu 2018-11-27 10:58:12 UTC
Created attachment 199601 [details]
kyua-0.13_4,3.patch

I fixed it. :-)
I had made a mistake last time.
Comment 3 commit-hook freebsd_committer 2021-02-27 07:05:55 UTC
A commit references this bug:

Author: tobik
Date: Sat Feb 27 07:05:22 UTC 2021
New revision: 566671
URL: https://svnweb.freebsd.org/changeset/ports/566671

Log:
  devel/kyua: Pet portlint

  Also while here replace MAKE_FLAGS with MAKE_ARGS and since the
  submission was almost there also pet portclippy.

  PR:		231843
  Submitted by:	takefu@airport.fm
  Approved by:	jmmv (maintainer timeout, >2 years)

Changes:
  head/devel/kyua/Makefile
  head/devel/kyua/files/patch-utils_datetime.cpp
  head/devel/kyua/files/patch-utils_datetime__test.cpp